Transliterator::create
Transliterator::createInverse
Transliterator
PHP Manual

# Transliterator::createFromRules

# transliterator_create_from_rules

Create transliterator from rules

### Description

Object oriented style

public static Transliterator Transliterator::createFromRules ( string `$rules` [, string `$direction` ] )

Procedural style

Transliterator transliterator_create_from_rules ( string `$id` [, int `$direction` ] )

Creates a Transliterator from rules.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`rules`

  The rules.

`direction`

  The direction, defaults to >Transliterator::FORWARD. May also be set to Transliterator::REVERSE.

### Return Values

Returns a Transliterator object on success, or `NULL` on failure.

### See Also

- Transliterator::getErrorMessage
- Transliterator::create